/*! HTML5 Boilerplate v7.3.0 | MIT License | https://html5boilerplate.com/ */

html {
    color: #222;
    font-size: 1em;
    line-height: 1.4;
    overflow-x: hidden;
}

::-moz-selection {
    background: #b3d4fc;
    text-shadow: none;
}

::selection {
    background: #b3d4fc;
    text-shadow: none;
}

hr {
    display: block;
    height: 1px;
    border: 0;
    border-top: 1px solid #ccc;
    margin: 1em 0;
    padding: 0;
}

audio,
canvas,
iframe,
img,
svg,
video {
    vertical-align: middle;
}

fieldset {
    border: 0;
    margin: 0;
    padding: 0;
}

.browserupgrade {
    margin: 0.2em 0;
    background: #ccc;
    color: #000;
    padding: 0.2em 0;
}

.hidden {
    display: none !important;
}

.invisible {
    visibility: hidden;
}

.clearfix:before,
.clearfix:after {
    content: " ";
    display: table;
}

.clearfix:after {
    clear: both;
}


/* Customize bootstrap styles */

.form-control {
    padding: 0 .75rem;
    height: 30px;
    font-size: 14px;
    border: 1px solid rgba(var(--light-green), 0.25) !important;
}

.form-control-sm {
    height: 26px;
}

.form-control:hover {
    border: 1px solid rgba(var(--light-green), 1) !important;
}

.form-control[disabled]:hover {
    border-color: #ddd !important;
    cursor: not-allowed
}

.form-control:focus,
.page-link:focus,
.custom-file-input:focus~.custom-file-label {
    box-shadow: 0 0 0 0.2rem rgba(var(--light-green), .25);
}

textarea.form-control {
    padding: .5rem .75rem;
}

.btn {
    height: 30px;
    font-size: 13px;
    font-weight: 600;
    text-transform: uppercase;
    padding: 0 1rem;
}

.btn {
    border: 0;
}

.btn-primary {
    background: rgba(var(--primary), 1);
}

.text-primary {
    color: rgba(var(--primary), 1) !important;
}

.breadcrumb {
    background: unset;
}

.breadcrumb-item {
    font-size: 11px;
    text-transform: uppercase;
}

.breadcrumb-item a {
    font-size: 11px;
}

.table thead tr th,
table[role="grid"] thead tr th {
    background-color: rgba(var(--info), 1);
    color: #fff;
}

.table td,
.table th,
table[role="grid"] td,
table[role="grid"] th {
    height: 36px;
}

.table th,
table[role="grid"] th {
    color: rgba(var(--info), .85);
    padding: 0 .75rem;
    vertical-align: middle !important;
}

.table td,
table[role="grid"] td {
    color: #666;
    height: 30px;
    /* padding-top: 0; padding-bottom: 0; vertical-align: middle; */
    font-size: 0.8rem;
}

.table td,
.table th,
table[role="grid"] td,
table[role="grid"] th {
    padding: .5rem .75rem;
}

.table-bordered thead th,
table[role="grid"] thead th {
    border-bottom: 0;
}

.table-striped tbody tr,
table[role="grid"] tr {
    background-color: #fff;
}

.table-striped tbody tr:nth-of-type(odd),
table[role="grid"] tbody tr:nth-of-type(odd) {
    background: #f9f9f9;
}

.page-link {
    height: 30px;
    line-height: 30px;
    display: flex;
    align-items: center;
}

.page-item .page-link {
    color: rgba(var(--gray), 0.8);
}

.page-item.active .page-link {
    background: rgba(var(--info), 0.8);
    border: 0;
    color: #fff;
    z-index: 1;
}

.page-item.disabled .page-link {
    cursor: not-allowed !important;
}

.card-header {
    background: unset;
}

.card-header h4 {
    margin: 0;
}

.form-group {
    margin-bottom: 0.5rem;
}

.custom-checkbox .custom-control-label::before,
.custom-checkbox .custom-control-label::after {
    top: .115rem;
}

.custom-control {
    display: flex;
    align-items: center;
    margin-bottom: 0.25rem;
}

.custom-control input,
.custom-control label {
    cursor: pointer;
}

.custom-control-input:checked~.custom-control-label::before {
    border-color: rgba(var(--info), 1);
    background-color: rgba(var(--info), 1);
}

.custom-control-input:focus~.custom-control-label::before,
.btn.focus,
.btn:focus {
    box-shadow: 0 0 0 0.2rem rgba(var(--light-green), 0.25);
}

.custom-control-input:focus:not(:checked)~.custom-control-label::before,
.custom-file-input:focus~.custom-file-label {
    border-color: rgba(var(--info), 1);
}

.input-group-text {
    background-color: #fff;
    border-color: #ddd;
    height: 30px;
}
.input-group-text.small{font-size: 0.85rem;}

.products-list .custom-checkbox .custom-control-label::before {
    border-radius: 1em;
}

.border,
.border-bottom,
.border-top,
.border-left,
.border-right,
.table td,
.table th {
    border-color: rgba(var(--light-green), .35) !important;
}

.custom-switch .custom-control-label::before {
    background: #999;
}

.custom-switch .custom-control-label::after {
    background: #fff;
}

.custom-switch .custom-control-input:checked~.custom-control-label::before {
    box-shadow: inset 1px 1px 2px rgba(0, 0, 0, 0.25);
    border: 0
}

.custom-switch .custom-control-input:checked~.custom-control-label::after {
    box-shadow: 0 4px 4px rgba(var(--info), 0.5) !important;
}

.btn-outline-primary {
    color: rgba(var(--primary), 1);
    border-color: rgba(var(--primary), 1);
}

.form-control:disabled,
.form-control[readonly] {
    color: #999;
}

.btn-sm {
    height: 30px;
    padding: 0 0.65rem;
    font-size: 11px;
}

.btn.btn-outline-primary {
    border: 1px solid rgba(var(--primary), 1);
}

.btn.btn-outline-secondary {
    border: 1px solid rgba(var(--secondary), 1);
}

.btn.btn-outline-success {
    border: 1px solid rgba(var(--success), 1);
}

.btn.btn-outline-danger {
    border: 1px solid rgba(var(--danger), 1);
}

.btn.btn-outline-warning {
    border: 1px solid rgba(var(--warning), 1);
}

.btn.btn-outline-info {
    border: 1px solid rgba(var(--info), 1);
}

.btn.btn-outline-light {
    border: 1px solid rgba(var(--light), 1);
}

.btn.btn-outline-dark {
    border: 1px solid rgba(var(--dark), 1);
}

.breadcrumb-item+.breadcrumb-item::before {
    content: "\203A";
}

address>p {
    margin-bottom: 0;
    line-height: 20px;
}

.custom-file-upload {
    overflow: hidden;
}

.custom-file-control.custom-file-input {
    position: relative;
    z-index: 1;
    width: 100%;
    height: calc(1.5em + .75rem + 2px);
    margin: 0;
    opacity: 1;
    transform: translate(-6.75em, 0.35rem);
}

.custom-file-control.custom-file-input+.custom-file-label {
    z-index: 0;
}

.min-vh-25 {
    min-height: 25vh;
}

.min-vh-50 {
    min-height: 50vh;
}

.min-vh-75 {
    min-height: 75vh;
}

.min-vh-100 {
    min-height: 100vh;
}

.min-h-0 {
    min-height: unset;
}

.min-vw-25 {
    min-width: 25vw;
}

.min-vw-50 {
    min-width: 50vw;
}

.min-vw-75 {
    min-width: 75vw;
}

.min-vw-100 {
    min-width: 100vw;
}

.min-w-0 {
    min-width: unset;
}

.badge {
    padding: 0.3rem 0.75rem;
}

.wrapper {
    margin-bottom: 30px;
}

@media (min-width: 992px) {
    .navbar-expand-lg .navbar-nav .nav-link {
        padding-right: 1.5rem;
        padding-left: 1.5rem;
    }
}

.btn-circle,
.btn-circle-sm {
    padding: 0;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 100% !important;
}

.btn-circle {
    width: 30px;
    height: 30px;
}

.btn-circle-sm {
    width: 24px;
    height: 24px;
}

.loader {
    position: fixed;
    width: 100vw;
    height: 100vh;
    z-index: 2;
    background: rgba(var(--body-bg), 0.95);
}

.content-loader {
    height: 100%;
    min-height: 50vh;
}

.content-loader {
    z-index: 3;
    background: rgba(var(--body-bg), 0.25) !important;
}

.page-loader {
    z-index: 3;
    background: rgba(var(--body-bg), 0.5) !important;
    height: calc(100vh - 115px);
}

.no-data {
    min-height: 50vh;
    position: relative;
}

.no-data::after {
    content: "No Data Available";
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    min-height: 50vh;
    opacity: 0.25;
    font-weight: 500;
}

.page-content {
    margin-bottom: 3.5em;
}


/* .small, small{font-size: 88%;} */

.login .login-box {
    width: 360px;
    margin: 0 auto
}

.login .custom-control-label {
    line-height: 25px;
    color: #666;
}

.login .form-control {
    font-size: 0.875rem;
    height: 36px
}

.login .custom-checkbox .custom-control-label::before,
.login .form-control,
.btn-primary {
    border-radius: 3px;
}

.login .custom-control.custom-checkbox>input:hover,
.login .custom-control.custom-checkbox>label:hover {
    cursor: pointer
}

.login .btn-login {
    position: relative
}

.login .btn-login i.fa-spinner {
    position: absolute;
    left: 0;
    top: 0;
    margin-top: 10px;
    margin-left: 10px;
}

.icon-field>label {
    width: 2.5rem !important;
    margin: 0;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
}

.icon-field>label>i {
    color: rgba(var(--light-green), 1);
}

.header-top {
    background: rgba(var(--info), 1);
    height: 50px;
}


/* .navbar.navbar-light, .navbar-light .navbar-nav .nav-link{height: 42px;} */

.navbar-light .navbar-nav .nav-link {
    color: rgba(0, 0, 0, .5);
    font-weight: 600;
    text-transform: uppercase;
    font-size: 14px;
    min-height: 36px;
    padding-top: 0;
    display: flex;
    align-items: center;
    padding-bottom: 0;
}

.navbar-expand-md .navbar-nav .nav-link {
    padding-right: .75rem;
    padding-left: .75rem;
}

.dropdown-item {
    font-size: 15px;
}

.nav-item {
    position: relative;
}

.nav-item.active .nav-link::before {
    content: "";
    position: absolute;
    width: 100%;
    height: 2px;
    background: rgba(var(--primary), 1);
    bottom: auto;
    left: 0;
    top: 100%;
    z-index: 1;
}

.as-content>div {
    margin-bottom: 10px !important;
}

.as-content>div>label {
    min-width: 120px;
    text-align: left !important;
    justify-content: start;
}

.content-main {
    min-height: calc(100vh - 122px);
}

.table .actions {
    padding: 0 !important;
    border: 0;
    position: absolute;
    right: auto;
    background: unset;
    left: auto;
    right: 16px;
    visibility: hidden;
    z-index: 1;
}

.table tr:hover td.actions {
    visibility: visible;
}

.table .actions ul {
    background-image: linear-gradient(to right, transparent, white);
    margin-top: 1px;
    /* padding-left: 3rem; */
    height: 100%;
}

.table .actions ul li a {
    padding: 0 0.5rem;
    display: flex;
    align-items: center;
    height: 100%;
}

.table tbody tr {
    position: relative;
}

.table tbody tr:hover td {
    background: rgba(var(--success), 0.1)
}

.circle {
    border-radius: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    background: rgba(var(--light-green), 0.25);
    font-size: 1.5rem;
    color: #209F85;
}

.page-header {
    padding: 20px 0;
}

.wizard-steps {
    padding: 15px 0 10px;
}

.wizard-steps ul {
    margin-left: 10em;
}

.wizard-steps ul li {
    position: relative;
    min-width: 20%;
    margin-left: -1px;
}

.wizard-steps ul li::before {
    content: "";
    width: 100%;
    display: block;
    height: 4px;
    background: #ddd;
    border-radius: 1rem;
    transform: translateY(8px);
}

.wizard-steps ul li a {
    position: relative;
}

.wizard-steps ul li a span {
    width: 12px;
    height: 12px;
    background: #ddd;
    display: block;
    border-radius: 1rem;
}

.wizard-steps ul li a p {
    display: inline-block;
    transform: translateX(calc(-50% + 10px));
    font-size: 13px;
    text-align: center;
    margin: 10px 0;
    color: #333;
    padding: 0 2rem;
}

.wizard-steps ul li.active a span,
.wizard-steps ul li::before,
.wizard-steps ul li a span {
    background: rgba(var(--info), 1);
    box-shadow: inset 1px 1px 2px rgba(0, 0, 0, 0.15);
}

.wizard-steps ul li.active~li a span,
.wizard-steps ul li.active~li::before,
.wizard-steps ul li.active::before {
    background: #ddd
}

.wizard-steps ul li:last-child::before {
    visibility: hidden;
    display: none;
}

.wizard-steps ul li:last-child a span {
    transform: translate(0, 3px);
}

.wizard-steps ul li:last-child {
    min-width: unset;
}

.wizard-steps ul li.active~li a p {
    color: #999;
}

.wizard-steps ul li.active p {
    font-weight: 600;
}

.wizard-steps ul li.active a span {
    box-shadow: 0 4px 4px rgba(var(--info), 0.5) !important;
}

.wizard-content .card-body .form-group .col-form-label.text-right {
    text-align: left !important;
}

.products-list figure {
    width: 64px;
    height: 64px;
    background: #eee;
    margin-right: 0.5rem;
    max-height: 64px;
    min-width: 64px;
}

.products-list .custom-control-input:checked~.custom-control-label::before {
    border-color: rgba(var(--primary), 1);
    background-color: rgba(var(--primary), 1);
}

.products-list .custom-control-input:focus~.custom-control-label::before {
    box-shadow: 0 0 0 0.2rem rgba(var(--primary), 0.25);
}

.products-list .custom-control-input:focus:not(:checked)~.custom-control-label::before {
    border-color: rgba(var(--primary), 1);
}

.row-products .card-shadow::after,
.vertical-shadow::after {
    content: "";
    position: absolute;
    width: 10px;
    height: 100%;
    right: auto;
    top: 0;
    left: 100%;
    background-image: linear-gradient(90deg, gray, transparent);
    z-index: 1;
    opacity: 0.2;
}

.row-products .card-header {
    height: 48px;
}

.row-products .products-list li:hover>div {
    background-color: rgba(var(--info), 0.25);
}

.row-products .products-list li:hover>div figure {
    background-color: #fff;
}

.selected-prod-table tbody tr .selected-prod-name a {
    visibility: hidden;
}

.selected-prod-table tbody tr:hover .selected-prod-name a {
    visibility: visible;
}

.shipping-summary li {
    padding-bottom: 6px;
}

.shipping-summary li span {
    width: 200px;
    display: inline-block;
    padding: 0 0 4px 0;
}

.new-order {
    max-width: 340px;
    position: sticky;
    z-index: 1;
    left: 0;
    top: 220px;
    right: 0;
    bottom: auto;
    margin: auto;
    height: 200px;
}

.row-new-order {
    filter: blur(0.15rem);
    opacity: 0.25;
    position: relative;
    z-index: -1;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}


/* .row-new-order::after{content: ""; position: absolute; left: 0; top: 92px; width: 100vw; height: calc(100vh - 78px); background: rgba(var(--dark), 1); opacity: 1;} */

.btn-text {
    display: flex;
    align-items: center;
    justify-content: center;
}

.btn-text.shadow {
    background-color: #ccc !important;
}

.input-group .btn-text {
    background-color: #fff !important;
}

.advanced-search {
    min-width: 400px;
    transform: translateY(50px);
    opacity: 0;
    visibility: hidden;
    z-index: -1;
}

.table-search-main.on .advanced-search {
    transform: translateY(0);
    opacity: 1;
    visibility: visible;
    z-index: 2;
}

#table-search-advanced {
    color: rgba(0, 0, 0, .5);
}

#table-search-advanced:hover {
    color: rgba(0, 0, 0, 1)
}

.table-search-main.on #table-search-advanced {
    color: rgba(0, 0, 0, 1);
}

.table-search-main.on #table-search-advanced i {
    transform: rotate(180deg);
}

.header-main {
    position: sticky;
    top: 0;
    z-index: 5;
}

.footer-main {
    background-color: #707070;
    position: fixed;
    width: 100%;
    bottom: 0;
    z-index: 5;
}

.search-main {
    max-width: 300px;
    width: 100%;
}

.search-main .custom-select {
    font-size: 13px;
    height: 30px;
    border: 0;
    border-radius: 0;
    border-top-left-radius: 0.25rem;
    border-bottom-left-radius: 0.25rem;
    margin-top: 1px;
}


/* Dashboard */

.recent-orders .badge {
    color: rgba(0, 0, 0, 0.5);
    padding: 0.35rem 0.675rem;
    font-size: 0.675rem;
}

.dashboard-content {
    background: #fff;
}

.num-card h3 {
    font-size: 26px;
    font-weight: 700;
    color: #fff;
}

.num-card p {
    font-size: 16px;
    color: #fff;
}

.num-card span.position-absolute {
    transform: translate(-17px, 10px);
    top: 0;
    right: 0;
    color: #fff;
}

.num-card.card-new-orders {
    background-color: #fc5b6a!important;
}

.num-card.card-partially-shipped {
    background-color: #ffa500!important;
}

.num-card.card-order-completed {
    background-color: #3da76d!important;
}

.num-card.card-amount {
    background-color: #3586ca!important;
}
/* .subscr_number .num-card.card-new-orders{background-color:#f58c41;}
.subscr_number .num-card.card-partially-shipped{background-color: #f86060;}
.subscr_number .num-card.card-order-completed{background-color: #d53569;}
.subscr_number .num-card.card-amount{background-color:#df4242;} */

.num-card .graphics {
    color: #fff;
    position: absolute;
    right: 0;
    bottom: 0;
    transform: translate(-20px, -10px);
    opacity: 0.4;
}

.num-card .graphics i {
    font-size: 2.5em;
}

.activity-group {
    margin-bottom: 0.25rem;
}

.activity-group ul li a i {
    display: flex;
    align-items: center;
}

select.dropdown-select {
    width: max-content;
    font-size: 12px;
}

select.form-control {
    font-size: 13px;
}

select.form-control-sm {
    font-size: 11px;
}

#pie-chart path {
    stroke-width: 0 !important;
}

#pie-chart text {
    font-size: 10px;
    color: #999;
}

.sample-doc-list li a i:first-child {
    font-size: 1.25rem;
}

.sample-doc-list li a i:last-child {
    color: rgba(var(--secondary), 0.6);
}

.sample-doc-list li a:hover i:last-child {
    color: rgba(var(--secondary), 1);
}

.chart {
    width: 100%;
}

.saved-emails li {
    padding: 0.5rem 1.25rem;
    cursor: pointer;
    border-bottom: 1px solid rgba(var(--secondary), .1);
}

.saved-emails li:last-child {
    border: unset
}

.saved-emails li:hover {
    background-color: rgba(var(--secondary), .1);
}

.saved-emails li strong {
    display: block;
}

.saved-emails li span {
    display: block;
    opacity: 0.75;
}

.saved-emails li strong,
.saved-emails li span {
    padding: 0.1rem 0;
}

.saved-emails li span+span {
    opacity: 0.5;
}

.row-user-detail .circle {
    width: 170px;
    height: 170px;
    font-size: 4em;
    background: rgba(var(--info), .15);
}

.row-user-detail .circle>i {
    color: rgba(var(--info), .25);
}

.row-user-detail h1,
.row-user-detail strong {
    color: #333;
}

.row-user-detail strong {
    margin-bottom: 5px;
    display: block;
}

.row-user-detail p {
    color: #999;
    margin-bottom: 2em;
    font-size: 13px;
}

.row-user-detail strong.address+p {
    margin: 0
}

.row-user-detail a.mailto {
    color: rgba(var(--info), .75);
}

.custom-control.custom-switch.custom-switch-products-list {
    align-items: unset;
    margin-bottom: unset;
}


/* Products */

.prod-featured {
    height: 480px;
}

.prod-list {
    height: 120px;
}

.prod-list>.row {
    margin-left: -5px;
    margin-right: -5px;
}

.prod-general-content li:first-child {
    border-top: 1px solid rgba(var(--light-green), .25);
}

.prod-general-content li {
    padding: 9px 0;
    border-bottom: 1px solid rgba(var(--light-green), .25);
}

.prod-general-content ul {
    padding-top: 10px;
}

.prod-details-content>section {
    padding-bottom: 1em;
}

.prod-general ul.prod-gen-list li {
    padding-bottom: 0.75rem;
}

.btn-floating {
    position: absolute;
    right: 0;
    top: 0;
    transform: translate(-5px, 25px);
}

.r-tl-3 {
    border-top-left-radius: 0.5rem
}

.r-bl-3 {
    border-bottom-left-radius: 0.5rem
}

.nav-tabs-add-wrapper {
    background: rgba(var(--dark-green), 0.15);
    height: 100%;
}

.nav-tabs-add-wrapper ul li.nav-item {
    margin-bottom: 1rem;
    width: 100%;
}

.nav-tabs-add-wrapper ul li.nav-item>a {
    min-height: 48px;
    border: 0;
    display: flex;
    align-items: center;
    justify-content: flex-end;
    padding: 0 25px;
    text-transform: uppercase;
    font-size: 13px;
}

.nav-tabs-add-wrapper ul li.nav-item>a:hover {
    color: rgba(var(--primary), 1);
}

.nav-tabs-add-wrapper ul li.nav-item>a.active {
    background: rgba(255, 255, 255, 0.5);
    font-weight: 700;
}

.nav-tabs-add-wrapper ul li.nav-item>a.active::after {
    content: "";
    width: 5px;
    height: 100%;
    background: rgba(var(--info), 1);
    position: absolute;
    right: 0;
}

.nav-tabs-add-wrapper ul li.nav-item.divider a {
    border-top: 1px solid rgba(var(--info), 0.2);
    border-bottom: 1px solid rgba(var(--info), 0.2);
}

.nav-tabs-add-wrapper ul li.nav-item.nav-heading a {
    font-weight: 700;
    color: rgba(var(--info), 1);
}

.form-control.border-left-0 {
    border-left: 0 !important;
}

.file-upload-label {
    border: 2px dotted rgba(var(--light-green), .5);
    height: 100%;
    width: 100%;
}

.file-upload-label:hover {
    border: 2px dotted rgba(var(--light-green), 1);
}

.file-upload-label:empty::before {
    content: "Upload Image";
    opacity: 0.5;
    font-size: 12px;
    position: absolute;
    left: 0;
    right: 0;
    top: 0;
    bottom: 0;
    margin: auto;
    width: 86px;
    text-align: center;
    height: 100%;
    display: flex;
    align-items: center;
    z-index: 0;
}

.file-upload-label:hover::before {
    opacity: 1;
}

.file-upload-label>img {
    position: relative;
    z-index: 1;
    max-width: 100%;
    height: auto;
    background: #fff;
}

.error-text~input,
.error-text~select,
.error-text~.input-group input,
.error-text~.input-group select,
.error-text~ckeditor {
    box-shadow: 0 0 0 0.2rem rgba(var(--danger), 0.25);
    border-color: rgba(var(--danger), 0.25) !important;
}

.error-text {
    flex: 1 1 100%;
    font-size: 13px;
}
small.text-danger{font-size: 13px;}


/* Inventory */

.inv-list .btn-group button {
    padding: 0 5px;
    height: 22px;
    border-color: #C1C8B9 !important;
    background: #F1F3F0;
    font-weight: 600;
    font-size: 12px;
    display: flex;
    align-items: center;
}

.inv-list li:hover .btn-group button {
    border-color: rgba(var(--info), 1) !important;
    background: rgba(var(--info), 0.25);
}

.inv-list li:hover {
    background: rgba(var(--info), 0.15);
}

.inv-list li>div:nth-child(2) span {
    color: #A8B29D;
}

.inv-list li.less-qty .btn-group button {
    border-color: rgba(var(--danger), 1) !important;
    background: rgba(var(--danger), 0.15);
}

.inv-list .stock-notification.active i {
    color: rgba(var(--info), 1);
}

.table.th-nowrap thead tr th {
    white-space: nowrap;
}

.or::after {
    content: "OR";
    width: 33px;
    height: 33px;
    background: #fff;
    border-radius: 100px;
    border: 1px solid #ddd;
    text-align: center;
    line-height: 33px;
    font-size: 12px;
    color: #ddd;
    display: block;
}

.btn {
    max-width: max-content;
}

.navbar button.btn[aria-expanded] .navbar-toggler-icon,
.navbar button.btn[aria-expanded] .navbar-toggler-icon::before,
.navbar button.btn[aria-expanded] .navbar-toggler-icon::after {
    content: "";
    background: #ddd;
    width: 22px;
    height: 2px;
    display: block;
}

.navbar button.btn[aria-expanded] .navbar-toggler-icon::before {
    transform: translateY(-5px);
}

.navbar button.btn[aria-expanded] .navbar-toggler-icon::after {
    transform: translateY(3px);
}

.navbar button.btn[aria-expanded="false"] .navbar-toggler-icon {
    background: transparent;
}

.navbar button.btn[aria-expanded="false"] .navbar-toggler-icon::before {
    transform: rotate(45deg) translateY(-5px);
    transform-origin: 20% 60%;
    opacity: 1;
}

.navbar button.btn[aria-expanded="false"] .navbar-toggler-icon::after {
    transform: rotate(-45deg) translateY(3px);
    transform-origin: 30% 10%;
    opacity: 1;
}

.navbar button.btn[aria-expanded]:active,
.navbar button.btn[aria-expanded]:focus {
    background: unset !important;
    box-shadow: unset !important;
}

.navbar {
    padding: 0;
}

.navbar .dropdown-menu {
    border: 0;
    box-shadow: 0 4px 1rem rgba(0, 0, 0, .15);
}

.nav-item.dropdown>a {
    cursor: pointer;
}

.email-dd {
    max-height: calc((100vh / 2) - 100px);
    overflow: hidden;
    overflow-y: auto;
    /* max-height: 292px; */
}

.input-group-append>.btn {
    border: 1px solid #ccc;
}

.btn-wrapper {
    display: flex;
    justify-content: flex-end;
}

.add-product {
    max-height: 40px;
    align-items: center;
    min-height: unset;
    display: flex;
}

.filter-wrapper li {
    margin-right: 5px;
    margin-bottom: 5px;
}

.filter-wrapper li .btn-group>button.btn {
    font-weight: normal;
    height: 25px;
    text-transform: none;
    white-space: nowrap;
}

.filter-wrapper li .btn-group>button.btn.btn-close {
    opacity: 0.4;
}

.filter-wrapper li .btn-group {
    border-radius: .2rem;
}

.filter-wrapper li .btn-group:hover {
    box-shadow: 0 0 4px rgba(var(--info), 0.3);
}

.filter-wrapper li .btn-group:hover>button.btn.btn-close {
    opacity: 1;
}

.filter-wrapper li .btn-group:hover>button.btn {
    color: rgba(var(--info), 1);
    ;
}

.btn.btn-white {
    background: #fff;
}

.as-content>div>label+.form-control,
.as-content>div>label+.autocomplete {
    max-width: 232px;
    width: 100%;
}

.wrapper.login {
    background: url(/assets/img/login-bg.jpg) center / cover no-repeat fixed;
    margin-bottom: 0;
}

.alert-dismissible .close {
    padding: .5rem 1.25rem;
    text-shadow: unset !important
}

.alert {
    position: fixed;
    z-index: 6;
    top: 72px;
    border: 0;
    width: 100%;
    max-width: 300px;
    left: calc(100vw - 320px);
    color: #fff;
}

.alert.alert-success {
    background-color: #28a745;
}

.alert.alert-danger {
    background-color: #dc3545;
}

.alert.alert-warning {
    background-color: #ffc107;
}

.alert.alert-info {
    background-color: #17a2b8;
}

.alert.alert-secondary {
    background-color: #5a6268;
}

.add-product>a {
    border-color: #f3f3f3 !important;
}

.autocomplete-container .input-container input {
    font-size: 14px;
    box-sizing: border-box !important;
    box-shadow: none!important;
    outline: 0!important;
    background-color: #fff!important;
    color: rgba(0, 0, 0, .87)!important;
    width: 100%!important;
    padding: 0 15px!important;
    padding: 0 .75rem!important;
    height: 30px!important;
    font-size: 14px!important;
    border: 1px solid rgba(var(--light-green), 0.25) !important;
    border-radius: .25rem !important;
}
.autocomplete .autocomplete-container .input-container input {
    padding: 0 0.75rem !important;
    height: 30px !important;
}
.autocomplete .autocomplete-container input[type="text"] {
  border-radius: .25rem !important;
}

.autocomplete-container .input-container input:hover {
    border: 1px solid rgba(var(--light-green), 1) !important;
}

.autocomplete-container {
    box-shadow: unset !important;
    height: auto!important;
}
.autocomplete .autocomplete-container .suggestions-container ul li a {
  padding: 10px 15px !important;
}
.autocomplete .autocomplete-container .input-container .x {
  top: 5px;
  transform: unset;
}

.wizard-steps ul li.trigger a::before {
    content: "";
    width: 20px;
    height: 20px;
    border: 2px dotted rgba(var(--info), 1);
    display: flex;
    position: absolute;
    border-radius: 100px;
    top: -4px;
    left: -4px;
    transition: all 1s linear;
    transform: rotate(359deg);
    border-top: 0;
    animation: loading 1s linear infinite;
}

@keyframes loading {
    from {
        transform: rotate(0deg);
    }
    to {
        transform: rotate(359deg);
    }
}

a:focus {
    outline: none !important;
}

.actions-list {
    top: 36px;
    right: 0;
    width: 200px;
    min-height: 100vh;
}

.actions-list li a {
    padding: 10px 0;
}

.actions-list li a i {
    min-width: 30px
}

.actions-list li {
    display: inline-flex;
}

.actions-list-close {
    float: right;
    padding: 1rem;
    font-size: 1rem;
}

.actions-dd {
    right: 10px;
    height: auto !important;
    width: 120px;
    border-radius: 5px;
    z-index: 1;
}

.actions-dd li {
    padding-bottom: 10px;
    width: 100%;
}

.actions-dd li:last-child {
    padding-bottom: 0;
}

.actions-dd li a {
    display: block;
    text-align: left;
}

.actions-dd li a:hover {
    opacity: 0.7;
}

.actions-dd li a i {
    width: 24px;
    text-align: left;
}

.actions-dd .actions-list-close {
    display: none;
}

.p-datatable-thead th {
    font-family: 'Inter var';
    font-size: 0.875rem;
    font-weight: 500;
    white-space: nowrap;
    background-color: rgba(var(--info), 1) !important;
    color: #fff !important;
    border-color: rgba(var(--light-green), .35) !important;
    padding: .5rem .75rem;
}

.p-datatable-thead .pi {
    font-size: 0.75rem;
    color: #fff !important;
}

.p-component {
    font-family: 'Inter var' !important;
    font-size: 0.875rem !important;
}

.p-datatable .p-datatable-thead>tr>th {
    font-weight: 500;
}

.p-datatable .p-datatable-tbody>tr>td {
    padding: 0.25rem 0.75rem !important;
    word-break: break-word;
}

.p-datatable th.num,
.p-datatable td.num {
    white-space: nowrap !important;
    overflow: unset !important;
    width: 48px;
}

.p-datatable .p-paginator-bottom,
.p-datatable .p-datatable-header {
    border: 0 !important
}

.file-upload,
.file-upload .preview,
.file-upload .btn-upload-modal {
    min-height: 120px;
}

.file-upload .preview {
    background: #fff;
    border-radius: 8px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.file-upload .btn-upload-modal {
    width: 100%;
    height: 100%;
    max-width: unset;
    border: 1px dashed #ccc;
    border-radius: 8px;
    left: 0;
    top: 0
}

.file-upload .btn-upload-modal span {
    display: none;
}

.file-upload .btn-upload-modal .p-button {
    background: transparent;
    border: 0;
}

.file-upload .btn-upload-modal .p-button i {
    color: #333;
}

.file-upload:hover .btn-upload-modal {
    border-color: #333;
}

.file-upload .btn-upload-modal .p-button:hover {
    background: transparent;
    border: 0;
}

.carousel-upload>li {
    width: calc(25% - 1rem);
}

.btn-trash {
    right: 0;
    top: 0;
}

.doc-upload .file-upload {
    min-height: unset;
    padding-top: 2rem !important;
}

.upload-modal {
    width: 100%;
    height: 100vh;
    background: #fff;
    max-height: unset !important;
}

.p-dialog.upload-modal .p-dialog-header {
    padding: 0.5rem;
}

.pd-content {
    height: calc(100vh - 100px);
    overflow-y: auto;
    overflow-x: hidden;
}

.p-dialog.upload-modal .p-dialog-footer {
    min-height: 50px;
}

.p-dialog.upload-modal .p-dialog-title {
    width: 100%;
}

.p-dialog.upload-modal .p-dialog-content {
    padding: 0;
}

.um-block {
    max-width: 250px;
    width: 100%;
    min-height: 200px;
    border: 1px solid #ccc;
    border-radius: 0.25rem;
    overflow: hidden;
    cursor: pointer;
    background-color: #eee;
    background-image: linear-gradient(45deg, #ddd 25%, transparent 25%, transparent 75%, #ddd 75%, #ddd), linear-gradient(45deg, #ddd 25%, transparent 25%, transparent 75%, #ddd 75%, #ddd);
    background-size: 20px 20px;
    background-position: 0 0, 30px 30px;
    margin: .75rem .5rem;
}

.um-block footer {
    height: 40px;
    font-size: 12px;
    padding: 0.25rem 0.75rem;
    background: #fff;
}

.um-block.um-block-selected {
    border: 1px solid var(--primary-color);
}

.um-block.um-block-selected footer {
    border: 1px solid var(--primary-color);
    background: var(--primary-color);
    color: #fff;
}

.um-block>figure {
    max-height: 158px;
    width: 100%;
    height: 100%;
    min-height: 120px !important;
}

.file-upload .fa.fa-image {
    font-size: 2em;
    opacity: 0.2
}

.seltd-items li {
    cursor: move;
}

.seltd-items li:hover {
    border-color: rgba(var(--primary), 1);
}

.p-paginator .p-paginator-pages .p-paginator-page,
.p-paginator .p-paginator-first,
.p-paginator .p-paginator-prev,
.p-paginator .p-paginator-next,
.p-paginator .p-paginator-last,
.p-paginator .p-dropdown {
    height: 2rem !important;
}

.file-upload button[pripple] {
    border: 0;
    background: unset;
}

.carousel-upload li {
    margin: 0.5rem;
}

.shortDesc .cke_editor_editor1 .cke_wysiwyg_div,
.shortDesc .cke_editor_editor1 .cke_contents {
    max-height: 70px !important;
}

.desceditor .cke_editor_editor2 .cke_wysiwyg_div,
.desceditor .cke_editor_editor2 .cke_contents {
    min-height: 400px !important;
}

.cke_wysiwyg_div p {
    margin-bottom: 0.25rem;
}

.upload-btn-top-right {
    right: 0;
    top: 0;
    transform: translate(-44px, 9px);
}

.search-select,
.search-autocomplete {
    height: 34px;
}

.autocomplete-container input[type="text"] {
    border-top-left-radius: 0 !important;
    border-bottom-left-radius: 0 !important;
    height: 34px !important;
    margin-top: 1px;
}

#dropdownMenuButton>figure {
    background: url(/assets/img/default_user.svg) center no-repeat;
    width: 32px;
    height: 32px;
}

.card-body>*:last-child {
    margin-bottom: 0 !important;
}

.card-doc {
    min-height: 170px;
    max-height: 170px;
}

.card-doc a {
    color: var(--primary-color);
}

.card-doc a:hover {
    color: rgba(var(--primary), 1);
}

.card-doc.card-selected {
    border: 1px solid var(--primary-color);
}

.card-doc.card-selected .card-header {
    border: 1px solid var(--primary-color);
    background: var(--primary-color);
    color: #fff;
}

.card-doc.card-selected .card-header a.text-danger {
    color: #fff !important;
}

.card-body>h4,
.card-body>p {
    margin-bottom: 0.5rem;
}

.carousel-upload .file-upload .preview {
    overflow: hidden;
    max-height: 220px;
    min-height: 220px;
}

.drop-inside {
    border: 1px dotted rgba(var(--info), 1) !important
}

.cdk-drag-placeholder {
    border: 1px dotted rgba(var(--info), 1) !important
}

.drop-before {
    border-top: 1px dashed rgba(var(--info), 1) !important
}

.drop-after {
    border-bottom: 1px dashed rgba(var(--info), 1) !important
}

.p-dialog .p-dialog-header {
    padding: 0.5rem 1rem !important;
}

.tag-list {
    display: flex;
    flex-wrap: wrap;
}

.tag-list>div {
    margin: 0 0.25rem 0.25rem 0;
}

select.multi-select {
    min-height: 124px;
}

.autocomplete-container .not-found {
    border: 0 !important
}

.search-result-invoice b {
    background: lightyellow;
}

.p-datatable .p-datatable-tbody>tr>td.actions-td {
    padding: 0 !important;
}

td.actions-td>a {
    display: block;
    padding: 0.5rem 0.75rem !important;
}

.report_table .p-datatable-wrapper>table {
    width: auto !important;
}

.report_table .p-datatable-wrapper {
    display: block;
    width: 100%;
    overflow-x: auto;
    -webkit-overflow-scrolling: touch;
}

/* .p-sidebar-content>div {
    visibility: collapse;
} */

.p-sidebar-content>div>div.email_wrapper {
    visibility: visible;
}

.email_wrapper .header {
    display: flex;
    align-items: center;
    justify-content: center;
    padding-bottom: 2rem;
}

.email_wrapper .content {
    height: calc(100vh - 350px);
    overflow-x: hidden;
    overflow-y: auto;
    padding: 2rem;
    background-color: #f6f6f6;
}

.email_wrapper .footer {
    padding: 1rem 0;
}

.email_wrapper .content-header {
    padding: 1rem 0;
    border-bottom: 1px solid #ccc;
}

.email_wrapper .content-body {
    padding-top: 1rem;
}

.email_wrapper .footer .social {
    text-align: center;
    padding-bottom: 0.5rem;
}

.email_wrapper .footer .social+p {
    text-align: center;
}

.email_wrapper .table_respo>table {
    width: 100%;
}

.email_wrapper .table_respo>table td {
    padding: 0.5rem;
    border: 1px solid #ddd;
}

.email_wrapper .table_respo>table thead {
    background-color: #ddd
}

.email_wrapper .table_respo>table thead td {
    font-weight: bold;
}

.template_post .content-page p {
  margin-bottom: 1.5rem !important
}

.live-summary-content > .card{margin-bottom: 1rem;}
.live-summary-content > .card:last-child{margin-bottom: 0;}
.live-summary-content > .card .card-header{background: #fff; color: rgba(var(--info), 1); border-top: 3px solid rgba(var(--info), 1);font-weight: 600; display:flex; justify-content: space-between}
.live-summary-content p{margin-bottom: 0.25rem;}
.live-summary-content hr{margin: 0.25rem 0 }
.live-summary-content .card-body{padding: .85rem 1.25rem;}
.live-summary-content .list-group-horizontal > li {width:50%}
.live-summary-content .list-group-horizontal > li.list-group-item{ border:0;padding: 0 0 .5rem;}
.live-summary-content .table thead tr th{background-color: rgba(var(--secondary), 1);}
ul.sub-menu hr,
ul.sub-menu hr~hr,
ul.sub-menu hr:last-child,
ul.sub-menu hr:first-child {
  display: none
}
ul.sub-menu li + hr { margin: 0.5rem 0; display:block }
.dropdown-menu-right ul.sub-menu.dropdown-menu{right: 100%; left:auto !important;}



@media only screen and (min-width: 1440px) {
    .container {
        max-width: 1300px;
    }
}

@media only screen and (min-width: 1200px) {}

@media only screen and (max-width: 1199px) {
    .container {
        width: 100% !important;
        max-width: unset;
    }
    .num-card .graphics {
        transform: translate(-20px, -10px);
    }
    .carousel-upload>li {
        width: 30%;
    }
}

@media only screen and (min-width: 992px) {
    .or.vertical {
        border-right: 1px solid #ddd;
        border-bottom: 0;
        width: 1px;
        height: 100%;
        margin: 0;
        position: absolute;
        right: -24px;
        top: 0;
    }
    .or.vertical::after {
        top: 50%;
        display: block;
        margin-left: -16px;
        position: absolute;
        margin-top: -17px;
    }
    .row-new-order {
        max-height: 90px;
    }
}

@media only screen and (max-width: 991px) {
    .or.vertical {
        border-bottom: 1px solid #ddd;
        border-right: 0;
        width: 100%;
        height: 1px;
        position: relative;
        margin: 3em auto;
    }
    .or.vertical::after {
        margin: 0 auto;
        transform: translateY(-17px);
    }
    .navbar button.btn[aria-expanded]+.navbar-collapse {
        display: none;
        background: #fff;
    }
    .navbar button.btn[aria-expanded]+.collapse.navbar-collapse.show {
        display: block;
    }
    .navbar-expand-lg>.container {
        margin-left: -1rem;
        margin-right: -1rem;
        width: calc(100% + 2rem) !important;
    }
    .sm-shadow {
        box-shadow: 0 .125rem .25rem rgba(0, 0, 0, .075)!important;
    }
    .btn-wrapper {
        justify-content: center;
    }
    header.row-new-order.wizard-header {
        display: none;
    }
    .icon-bar {
        width: 22px;
        height: 2px;
        background-color: #B6B6B6;
        display: block;
        transition: all 0.2s;
        margin-top: 4px
    }
    .navbar-toggler {
        border: none;
        background: transparent !important;
    }
    .navbar-toggler .top-bar {
        transform: rotate(45deg);
        transform-origin: 10% 10%;
    }
    .navbar-toggler .middle-bar {
        opacity: 0;
    }
    .navbar-toggler .bottom-bar {
        transform: rotate(-45deg);
        transform-origin: 10% 90%;
    }
    .navbar-toggler.collapsed .top-bar {
        transform: rotate(0);
    }
    .navbar-toggler.collapsed .middle-bar {
        opacity: 1;
    }
    .navbar-toggler.collapsed .bottom-bar {
        transform: rotate(0);
    }
    .carousel-upload>li {
        width: 50%;
    }
}

@media only screen and (min-width: 768px) {
    .togglr+label {
        display: none;
    }
}

@media only screen and (max-width: 767px) {
    .num-card .graphics {
        transform: translate(-20px, -10px);
    }
    .form-group.row .col-form-label.text-right {
        text-align: left !important;
    }
    .header-top .brand {
        display: block;
        width: 40px;
        overflow: hidden;
    }
    .header-top .brand>img {
        float: right;
    }
    .page-header .flex-wrap.flex-column.flex-md-row .breadcrumb {
        margin: 10px 0 !important;
    }
    .new-order {
        top: 120px;
    }
    .togglr {
        display: none;
    }
    .togglr+label {
        position: absolute;
        z-index: 2;
    }
    .togglr+label .togglr-open {
        display: inline-block
    }
    .togglr+label .togglr-close {
        display: none;
    }
    .togglr:checked+label .togglr-open {
        display: none;
    }
    .togglr:checked+label .togglr-close {
        display: inline-block
    }
    .togglr~.togglr-block {
        display: flex;
        min-width: 240px;
        max-width: 240px;
    }
    .togglr~.togglr-block {
        min-width: unset;
        width: 0;
        opacity: 0;
        overflow: hidden;
        visibility: hidden;
    }
    .togglr:checked~.togglr-block {
        min-width: 240px;
        width: auto;
        opacity: 1;
        overflow: visible;
        visibility: visible;
    }
    .inventory-list-wrapper .togglr:checked~.togglr-block {
        max-width: unset;
    }
    .inventory-list-wrapper .togglr+label {
        left: 20px;
    }
    .nav-tabs-add-wrapper>ul {
        width: 100%;
    }
    .btn-login {
        width: 100% !important;
        max-width: unset;
    }
}

@media only screen and (max-width: 479px) {
    .search-main {
        display: none;
    }
}

@-moz-document url-prefix() {
    .custom-file-control.custom-file-input {
        transform: translate(-5.5em, 0.35rem);
    }
}

@supports (-ms-ime-align:auto) {
    .custom-file-control.custom-file-input {
        transform: unset;
    }
}